@font-face {
  font-family: "icons";
  src: url('/fonts/icons.ttf');
}

@font-face {
  font-family: "logofont";
  src: url('/fonts/seagram.ttf');
}

@font-face {
  font-family: "medieval";
  src: url('/fonts/YoungSerif-Regular.ttf');
  size-adjust: 100%;
}

::-webkit-scrollbar {
  width: 30px;
  height: 15px;
}
::-webkit-scrollbar-track {
  background-color: rgb(50, 50, 50, 1);
  box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.53);
}
::-webkit-scrollbar-thumb {
  background-color: rgb(120, 120, 120);
  border: 5px solid rgb(50, 50, 50, 1);
}

:target {
}

/* HTML Components */

h1 {font-size: unset;margin:unset;font-weight:unset;}
h2 {font-size: unset;margin:unset;font-weight:unset;}
h3 {font-size: unset;margin:unset;font-weight:unset;}
h4 {font-size: unset;margin:unset;font-weight:unset;}
li {padding: 5px;}
a{
    color: rgb(150, 70, 30);
    font-family:unset;
    font-size:unset;
    text-decoration: none;
    cursor: pointer;
}

.link-regular{
    font-size:20px;
}

.link-special{
    color: rgb(190, 90, 50);
}

html,body{
    1background-image: url("/imgs/ui/textures/background_1.png");
    background-color: rgb(243, 235, 212);
    font-family: medieval;
    padding: 0px;
    height: 100%;
    margin: 0;
    scroll-behavior: smooth;
    height: auto;
    margin: 0;
    min-height: 100vh; /* Takes up at least the full screen height */
}

img{
	margin: unset;
}

form{
    padding: 0px;
    width: -moz-available;          /* WebKit-based browsers will ignore this. */
    width: -webkit-fill-available;  /* Mozilla-based browsers will ignore this. */
    width: fill-available;
}

input{
	width: -webkit-fill-available;
	padding: unset;
	margin: unset;
	border: unset;
	font-family: unset;
	font-size: unset;
	outline: none;
	padding: 10px 5px 5px 10px;
}

textarea{
	width: -webkit-fill-available;
	padding: unset;
	margin: unset;
	border: unset;
	font-family: unset;
	font-size: unset;
	outline: none;
	padding: 10px 5px 5px 10px;
}

select{
	padding: unset;
	margin: unset;
	border: unset;
	font-family: unset;
	font-size: unset;
    padding: 10px 5px 5px 10px;
}

select option[disabled] {
  color: #999999;
}

select[readonly] {
  pointer-events: none;
  touch-action: none;
}

label{
    position: absolute;
    left: 10px;        /* Distance from the left border */
    top: -8px;         /* Pulls it up onto the border */
    background: #fff;  /* Matches the page background to hide the border line */
    border-radius: 5px;
    padding: 0 8px;    /* Adds a small gap between text and the border line */
    font-size: 10px;   /* Small font size */
    color: #666;
    pointer-events: none; /* Allows clicking "through" the label to the input */
}

button{
    /* Cores e Dimensões */
    background-color: #4a1f19;
    color: #f1e4d1;
    padding: 5px 40px;
    border: none;
    cursor: pointer;
    font-family: medieval;
    font-size: 20px;
    min-height: 40px;

    /* Formato Chanfrado (Hexágono lateral) */
    clip-path: polygon(5% 0, 95% 0, 100% 50%, 95% 100%, 5% 100%, 0 50%);

    /* Efeito de borda interna e sombra */
    box-shadow: inset 0 0 0 2px #2a0f0b, inset 0 0 10px rgba(0,0,0,0.5);

    /* Transição suave para hover */
    transition: transform 0.1s, filter 0.2s;
}
@media screen and (max-width: 1200px) {
	button {font-size: 15px;}
}

button:disabled{
    filter: brightness(85%);
    color: rgb(150, 150, 150);
    pointer-events: none;
}

button:active{
    filter: brightness(75%);
    transform: scale(0.95);
}

button:hover {
  filter: brightness(1.5);
}

input[type=radio]{
	width: unset;
	margin: 10px;
	-ms-transform: scale(1.5); /* IE 9 */
	-webkit-transform: scale(1.5); /* Chrome, Safari, Opera */
	transform: scale(1.5);
}

input[type=checkbox]{
    margin: 3px;
    vertical-align: middle;
    height: 15px;
    width: 15px;
    accent-color: rgb(100, 150, 20);
}

/*Chrome*/
@media screen and (-webkit-min-device-pixel-ratio:0) {
    input[type='range'] {
		overflow: hidden;
		-webkit-appearance: none;
		color: rgb(255, 0, 0);
		outline: none;
		outline-width: 1px;
		outline-color: red;
    }
    input[type='range']::-webkit-slider-runnable-track {
      height: 10px;
      -webkit-appearance: none;
      color: rgb(255, 0, 0);
    }
    input[type='range']::-webkit-slider-thumb {
        width: 5px;
        -webkit-appearance: none;
        border-radius: 2px;
        height: 30px;
        top:-10px;
        position: relative;
        background: rgb(120, 20, 20);
        -webkit-box-shadow: -800px 0 10px 800px rgb(100, 0, 0, 0.75);
        -moz-box-shadow: -800px 0 10px 800px rgb(100, 0, 0, 0.75);
        box-shadow: -800px 0 10px 800px rgb(100, 0, 0, 0.75);
    }

}
/** FF*/
input[type=range]{
	-webkit-appearance: none;
}
input[type="range"]::-moz-range-progress {
	background-color: #43e5f7;
}
input[type="range"]::-moz-range-track {
  background-color: #9a905d;
}
/* IE*/
input[type="range"]::-ms-fill-lower {
  background-color: #43e5f7;
}
input[type="range"]::-ms-fill-upper {
  background-color: rgb(255, 0, 0);
}

.box{
	display: flex;
	flex-flow: column;
	min-height: 100dvh;
}

.box .preview {
	1border: 1px dotted grey;
}

.box .preview.content {
	flex: 1;
}

/************** Header **************/

.header-main{
	background-color: rgb(20, 20, 20);
    padding: 10px 10px 10px 10px;
    position: sticky;
    top: 0;
    display: flex;
	justify-content: flex-end;
	align-items: center;
    height: 85px;
    min-height: 85px;
    z-index: 100;
    -webkit-box-shadow: 0px -5px 15px 10px rgba(0,0,0,0.75);
    -moz-box-shadow: 0px -5px 15px 10px rgba(0,0,0,0.75);
    box-shadow: 0px -5px 15px 10px rgba(0,0,0,0.75);
    border-bottom: 1px solid rgb(0, 0, 0, 0.15);
    border-bottom: 1px solid white;
}
@media only screen and (max-width: 800px) {
    .header-main{
    	height: 65px;
    	min-height: 65px;
    	align-items: flex-start;
    }
}

.header-small{
	background-color: rgb(20, 20, 20);
	background: linear-gradient(90deg, rgba(20, 20, 20, 1) 0%, rgba(0, 0, 0, 1) 100%);
    padding: 11px;
    position: sticky;
    top: 0;
    display: flex;
	justify-content: space-between;
    z-index: 100;
    box-shadow: 0px -2px 15px 5px rgba(0,0,0,0.75);
    1border-bottom: 1px solid rgb(0, 0, 0, 0.15);
    border-bottom: 1px solid white;
}

.header-small-title{
    color: white;
    z-index: 10;
    left: 0px;
    right: 0px;
    text-align: center;
    top: -66px;
    font-size: 50px;
    pointer-events:none;
    background-size: 1000px;
    color: #adbdc0;
    margin-left: 10px;
    font-family: 'logofont';
    text-transform: capitalize;
    text-overflow: ellipsis;
    white-space: nowrap;
    max-width: calc(100% - 57px);
    overflow: hidden;
    1position: relative;
}
@media only screen and (max-width: 800px) {
    .header-small-title{
        font-size: 30px;
        top: -65px;
    }
}
.header-small-title-text{
    font-size: 60px;
    top: 0px;
    color: #adbdc0;
    font-family: 'logofont';
    position: absolute;
    text-shadow:
    /* 1. The Inside Bleed: Low blur creates an soft inner edge */
    3px 3px 0px black, 3px 3px 2px black,

    /* 2. The Outside Spread: Hard offsets push the border outward */
    -3px -3px 0 #000,  3px -3px 0 #000,
    -3px  3px 0 #000,  3px  3px 0 #000,
    -3px  0px 0 #000,  3px  0px 0 #000,
     0px -3px 0 #000,  0px  3px 0 #000;
}
@media only screen and (max-width: 800px) {
    .header-small-title-text{
        font-size: 40px;
        top: 5px;
    }
}

.header-sticky{
	position: fixed;
	left: 0;
	right: 0;
}

.header-option-menu{
	flex: 1 3;
	padding: 4px 3px;
	height: 25px;
	font-size: 20px;
	min-width: 50px;
	white-space: nowrap;
	text-align: center;
	cursor: pointer;
	color: white;
	margin: 0px 5px 0px 5px;
	display: flex;
	align-items: center;
	justify-content: flex-end;
}

.header-menu{
	background: rgb(30, 30, 30);
	1height: 35px;
	width: -webkit-fill-available;
	display:none;
	opacity: 0%;
	padding: 5px;
	position: fixed;
	z-index: 95;
	top: 105px;
	right: 100vw;
	left: -100vw;
	transition: 0.4s;
    align-items: flex-end;
    justify-content: space-between;
    flex-wrap: wrap;
    align-content: flex-end;
    border-bottom: 1px solid white;
    text-align: right;
    box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
}
.header-menu-small{
	top: 64px !important;
}
@media only screen and (max-width: 900px) {
    .header-menu{
        1display: flex;
		justify-content: flex-end;
		flex-direction: column;
		align-content: flex-end;
		align-items: flex-end;
    }
}
@media only screen and (max-width: 800px) {
    .header-menu{
    	top: 85px;
    }
}

.header-menu-open {
	right: 0px;
	left: 0;
	opacity: 100%;
	display: flex;
}

.header-logo-big{
    width: 300px;
    height: 200px;
    position: absolute;
    left: 25px;
    top: 5px;
    z-index: 101;
    background-image: url(/imgs/ui/elements/logo_big.png);
    background-size: contain;
    background-repeat: no-repeat;
    cursor: pointer;
    transition: 0.4s;
}
@media only screen and (max-width: 800px) {
    .header-logo-big{
        1left: calc(50% - 50px);
        1width: 100px;
        1height: 140px;
        1background-image: url(/imgs/ui/elements/logo_small.png);
		1left: calc(50% - 100px);
		width: 200px;
		height: 122px;
		top: 18px;
    }
}

.header-logo-small{
    width: 55px;
    height: 80px;
    position: absolute;
    left: 25px;
    top: 10px;
    z-index: 101;
    background-image: url(/imgs/ui/elements/logo_small.png);
    background-size: contain;
    background-repeat: no-repeat;
    cursor: pointer;
    transition: 0.4s;
}

.header-logo-hide{
	1transform: translateY(-200px);
	1transform: translateY(90px);
	1transform: scale(0.6) translateY(-55px) translateX(50%);
}

.header-options-group{
	display: flex;
	align-items: center;
	height: -webkit-fill-available;
}
@media only screen and (max-width: 1200px) {
    .header-options-group{
    	height: unset;
    }
}
@media only screen and (max-width: 900px) {
    .header-options-group{
    	width: -webkit-fill-available;
    	justify-content: center;
    	display: none;
    }
}

.header-option{
	padding: 3px 10px 3px 10px;
	height: 80%;
	font-size: 20px;
	min-width: 150px;
	text-align: center;
	cursor: pointer;
	color: white;
	margin: 0px 5px 0px 5px;
	display: flex;
	align-items: center;
	justify-content: center;
}
@media only screen and (max-width: 1400px) {
    .header-option{
    	min-width: 80px;
    }
}
@media only screen and (max-width: 1200px) {
    .header-option{
    	min-width: 50px;
    	font-size: 16px;
    }
}

/************** Footer **************/

.footer-main{
    bottom: 0px;
    left: 0;
    right: 0;
    padding: 20px 20px 20px 20px;
    text-align: center;
    background: rgb(0, 0, 0, 0.05);
}

.socials-row{
    display: flex;
    justify-content: center;
    gap: 10px;
}

/************** Other styles **************/

.group-flex{
    display: flex;
    text-align: center;
}
@media only screen and (max-width: 800px) {
    .group-flex{
        display: block;
    }
}

.text-main-title{
	font-size: 30px;
	padding:50px;
	font-family: medieval;
}
@media screen and (max-width: 800px) {
	.text-main-title {
		padding:20px;
	}
}

.text-plain{
    font-family: medieval;
}
.text-strong{
    font-weight: bold;
    color: rgb(10, 5, 4);
}

.text-copyright{
	font-size: 12px;
	color: rgb(80, 80, 80)
}

.page-base{
	padding: 20px 10px 10px 10px;
    text-align: center !important;
    text-align: -webkit-center !important;
}
@media screen and (min-width: 800px) {
	.page-base {
		padding: 50px 10px 10px 10px;
	}
}

.page-base-simple{
	padding: 10px 10px 10px 10px;
    text-align: center !important;
    text-align: -webkit-center !important;
}

.page-main{
	padding: 10px 10px;
	max-width: 900px;
}

.page-text-separator{
	margin:25px 0px 25px 0px;
	border-top: 2px solid rgb(0, 0, 0, 0.5);
	border-left: 150px solid transparent;
	border-right: 150px solid transparent;
}

.page-text-separator-empty{
	margin:35px 0px 25px 0px;
}

.page-text-separator-small{
	margin-top:20px;
}

.page-text-big{
	font-size: 20px;
	font-weight: bold;
}

.page-text-title{
	font-size: 30px;
	color: rgb(105 55 30);
}

.page-text-subtitle{
	font-size: 20px;
	color: rgb(150, 70, 30);
	1font-weight: bold;
}

.page-promo-video{
	width: -webkit-fill-available;
	height: calc(100dvh - 96px);
	object-fit: cover;
	1position: relative;
	padding: 0px;
	margin: -10px 0px -6px 0px;
	z-index: 0;
	opacity: 0.5;
}
@media screen and (max-width: 800px) {
	.page-promo-video {
		height: calc(100dvh - 76px);
	}
}

.page-main-section{
	height:calc(100dvh - 0px);
}
@media screen and (max-width: 800px) {
	.page-main-section {
		height: calc(100dvh - 0px);
	}
}

/** Text Effects **/
.text-bold{font-weight: bold;}
.text-italic{font-style: italic;}
.text-normal{font-weight: normal;}

.margin-none{margin: unset;}
.padding-none{padding: unset;}

.color-yellow{
	color: rgb(255, 200, 0);
}

.color-red{
	color: rgb(255, 100, 100);
}

.color-gray{
	color: rgb(180, 180, 180);
}

.align-left{
    text-align: left !important;
    text-align: -webkit-left !important;
}

.align-right{
    text-align: right !important;
    text-align: -webkit-right !important;
}

.align-center{
    text-align: center !important;
    text-align: -webkit-center !important;
}

.width-full{
    width: -moz-available;          /* WebKit-based browsers will ignore this. */
    width: -webkit-fill-available;  /* Mozilla-based browsers will ignore this. */
    width: fill-available;
}